### Property

# Gio DtlsConnection:rehandshake-mode

deprecated: 2.60 since: 2.48

#### Declaration

    property rehandshake-mode: Gio.TlsRehandshakeMode [ read, write, construct ]

#### Description

The rehandshaking mode. See g_dtls_connection_set_rehandshake_mode().

Type: | `GTlsRehandshakeMode`
Available since: | 2.48
Deprecated since: | 2.60
The rehandshake mode is ignored.

Default value | G_TLS_REHANDSHAKE_NEVER
Getter method | `g_dtls_connection_get_rehandshake_mode()`
Setter method | `g_dtls_connection_set_rehandshake_mode()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no